phpmyadmin no funciona después de la actualización de mysql


0

this guía this para actualizar mi formulario mysql 5.1 a 5.5.Después de muchos y muchos comandos y dolores de cabeza, pude actualizar mysql.Revisé la versión vía terminal.

Pero ahora hay otro problema.phpmyadmin no está funcionando.Dice

Forbidden

You don't have permission to access /phpmyadmin/ on this server.

Apache/2.2.14 (Ubuntu) Server at localhost Port 80

He buscado y everywher intentado varias soluciones similares, incluyendo Include /etc/phpmyadmin/apache.conf en apache2.conf archivo y restared Apache (que comenzó a mostrar el error 404).Pero todavía no funciona.

Recuerdo que la terminal mostraba phpmyadmin is broken or not fully installed , mientras intentaba varias soluciones.

¿Qué debería hacer ahora?reparar, reinstalar, formatear?

Edición: También ahora cuando abro la terminal (Ctrl + Alt + t), muestra varios errores:

Command 'uname' is available in '/bin/uname'
The command could not be located because '/bin' is not included in the PATH environment variable.
uname: command not found
bash: [: !=: unary operator expected
bash: [: too many arguments
bash: [: too many arguments
bash: [: too many arguments
bash: [: =: unary operator expected
bash: [: too many arguments
bash: [: too many arguments
bash: [: =: unary operator expected
bash: [: =: unary operator expected
bash: [: =: unary operator expected
bash: [: =: unary operator expected
bash: [: =: unary operator expected
Command 'sed' is available in '/bin/sed'
The command could not be located because '/bin' is not included in the PATH environment variable.
sed: command not found
bash: [: too many arguments
bash: [: =: unary operator expected
bash: [: too many arguments
bash: [: too many arguments
bash: [: =: unary operator expected
bash: [: =: unary operator expected
bash: [: =: unary operator expected
bash: [: =: unary operator expected
[email protected]:~$
  0

¿Apache error_log te muestra la ruta real donde está buscando phpmyadmin?¿Está ahí? 02 jun. 142014-06-02 16:04:48

1

De los tres, prefiero repararlo!

Parece que su administrador de paquetes instaló su phpMyAdmin, por lo que lo primero que debe intentar es reconfigurarlo.sudo dpkg-reconfigure phpmyadmin debe lograr eso.Esperamos que eso solucione el mensaje de error que recibió: "phpmyadmin está dañado o no está completamente instalado", o si no, al menos le proporcione un mensaje más útil.

Puede tener otros paquetes rotos o dependencias faltantes, que puede intentar solucionar con sudo aptitude -f .Eso intentará arreglar cualquier paquete roto.

No estoy muy seguro de su mensaje de error de terminal.Parece que el directorio/bin/(que contiene muchos de los comandos de su sistema como ls, kill, mkdir y muchos más), no se encuentra en la lista de directorios que se usa cuando se busca un comando (la "ruta").Tengo la esperanza de que aptitude -f solucione esto también, porque de lo contrario, algo realmente extraño (y no relacionado) sucedió en su archivo de configuración de bash.

Tenga en cuenta que, si bien estos son comandos razonablemente seguros, no soy responsable si su sistema explota.